- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_key_len()

## Synopsis

    uint32_t
    bson_iter_key_len (const bson_iter_t *iter);

## Parameters

- `iter`: A bson_iter_t.

## Description

Fetches the length of the key for the current element observed by `iter`. This is a constant time computation, and therefore faster than calling `strlen()` on a key returned by bson_iter_key().

## See Also

bson_iter_key() to retrieve current key.

## Returns

An integer representing the key length.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.